<?php

class ADMINWIDGETS_BOL_SectionDao extends OW_BaseDao {

    protected function __construct() {
        parent::__construct();
    }

    private static $classInstance;

    public static function getInstance() {
        if (self::$classInstance === null) {
            self::$classInstance = new self();
        }

        return self::$classInstance;
    }

    public function getDtoClassName() {
        return 'ADMINWIDGETS_BOL_Section';
    }

    public function getTableName() {
        return OW_DB_PREFIX . 'adminwidgets_section';
    }

    public function getSectionName($section) {
        if($section === null)
            return "";
        
        $example = new OW_Example();
        $example->andFieldEqual('section', $section);
        $sectionObj = $this->findObjectByExample($example);
        
        if ($sectionObj === NULL)
            return "";
        else
            return $sectionObj->name;
    }

}