<?php

OW::getRouter()->addRoute(new OW_Route('adminwidgets_admin_links', 'admin/adminwidgets-menu', "ADMINWIDGETS_CTRL_Admin", 'links'));
OW::getRouter()->addRoute(new OW_Route('adminwidgets_admin_link_add', 'admin/adminwidgets-menu/add', "ADMINWIDGETS_CTRL_Admin", 'linkAdd'));
OW::getRouter()->addRoute(new OW_Route('adminwidgets_admin_link_edit', 'admin/adminwidgets-menu/edit/:id', "ADMINWIDGETS_CTRL_Admin", 'linkEdit'));

OW::getRouter()->addRoute(new OW_Route('adminwidgets_admin_sections', 'admin/adminwidgets-menu/sections', "ADMINWIDGETS_CTRL_Admin", 'sections'));
OW::getRouter()->addRoute(new OW_Route('adminwidgets_admin_section_add', 'admin/adminwidgets-menu/sections/add', "ADMINWIDGETS_CTRL_Admin", 'sectionAdd'));
OW::getRouter()->addRoute(new OW_Route('adminwidgets_admin_section_edit', 'admin/adminwidgets-menu/section/edit/:id', "ADMINWIDGETS_CTRL_Admin", 'sectionEdit'));

function adminwidgets() {

    if ($adminwidgets != 'EMPTY') {
        OW::getDocument()->appendBody($script);

        OW::getDocument()->addCustomHeadInfo('<style>.datagrid table { border-collapse: collapse; text-align: left; width: 90%; } .datagrid {font: normal 12px/150% Arial, Helvetica, sans-serif; overflow: hidden; -webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px; }.datagrid table td, .datagrid table th { padding: 0px !important; }.datagrid table thead th {background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #006699), color-stop(1, #00557F) );background:-moz-linear-gradient( center top, #006699 5%, #00557F 100% );filter:progid:DXImageTransform.Microsoft.gradient(startColorstr="#006699", endColorstr="#00557F");background-color:#006699; color:#FFFFFF; font-size: 15px; font-weight: bold; } .datagrid table thead th:first-child { border: none; }.datagrid table tbody td { color: #00557F; font-size: 12px;font-weight: normal; }.datagrid table tbody td:first-child { border-left: none; }.datagrid table tbody tr:last-child td { border-bottom: none; }</style>');
    }
}

OW::getEventManager()->bind('core.finalize', 'adminwidgets');